Entities
Add New Entity
Posts data to add a new entity based on the provided program ID.
POST
/
admin
/
entity
/
{program_id}
Add New Entity
curl --request POST \
--url https://api.helpyousponsor.com/v1/admin/entity/{program_id} \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"en_child_name": "<string>",
"en_gender": "<string>",
"en_test_checkbox_2": "<string>",
"program_id": 123,
"sp_num": "<string>",
"sp_amount": "<string>"
}
'import requests
url = "https://api.helpyousponsor.com/v1/admin/entity/{program_id}"
payload = {
"en_child_name": "<string>",
"en_gender": "<string>",
"en_test_checkbox_2": "<string>",
"program_id": 123,
"sp_num": "<string>",
"sp_amount": "<string>"
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
en_child_name: '<string>',
en_gender: '<string>',
en_test_checkbox_2: '<string>',
program_id: 123,
sp_num: '<string>',
sp_amount: '<string>'
})
};
fetch('https://api.helpyousponsor.com/v1/admin/entity/{program_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Entity Profile saved"
}{
"message": "Error: Please enter a valid number for the sponsorship number."
}Authorizations
API key generated from Developer Settings. Format: hys_...
Path Parameters
Program ID
Body
application/json
Data required for adding a new entity
Response
Entity added successfully
Example:
"Entity Profile saved"
⌘I
Add New Entity

